# Class PropertyShowInContext

java.lang.Object
org.eclipse.ui.part.ShowInContext
org.eclipse.ui.views.properties.PropertyShowInContext

public class PropertyShowInContext extends ShowInContext
Carries the context for the Show In action. This implementation carries a workbench part and a selection.

Since:
  3.4

## Constructor Summary

Constructors
Constructor
Description
`PropertyShowInContext(IWorkbenchPart aPart, ISelection selection)`
`PropertyShowInContext(IWorkbenchPart aPart, ShowInContext aShowInContext)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`IWorkbenchPart`
`getPart()`
`int`
`hashCode()`
`void`
`setPart(IWorkbenchPart part)`

### Methods inherited from class ShowInContext

`getInput, getSelection, setInput, setSelection`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyShowInContext

public PropertyShowInContext(IWorkbenchPart aPart, ISelection selection)

Parameters:
  `aPart` - the part
  `selection` - the selection or `null`

### PropertyShowInContext

public PropertyShowInContext(IWorkbenchPart aPart, ShowInContext aShowInContext)

Parameters:
  `aPart` - the part
  `aShowInContext` - an existing context to initialize from

## Method Details

### getPart

public IWorkbenchPart getPart()

Returns:
  Returns the part.

### setPart

public void setPart(IWorkbenchPart part)

Parameters:
  `part` - The part to set.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`